﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Globalization;
using System.Web.Mvc;
using System.Web.Security;
using System.Text;

namespace techanto.Models
{


    public partial class Author 
    { 
         
    }

    [MetadataType(typeof(Post_Attribute))] 
    public partial class Post 
    {
        private String _tagsCommaSeparated;
        public String TagsCommaSeparated { 
            get
            {
                 if (_tagsCommaSeparated != null)   
                    return _tagsCommaSeparated;
                 else
                     if( (Tags != null) && (Tags.Count > 0)) 
                    {
                        StringBuilder builder = new StringBuilder();
                        foreach(Tag tag in Tags)
                        {
                               builder.Append(tag.Value + ", ");
                        }
                        builder.Remove(builder.Length - 2,2); 
                        _tagsCommaSeparated = builder.ToString();
                        return _tagsCommaSeparated;
                    }
                    else
                       return "";
                    
            }
 
            set
            {
                _tagsCommaSeparated=value;
            }
        }

        
    }

    public class Post_Attribute
    {
        [UIHint("tinymce_jquery_full"), AllowHtml]
        public String Content { get; set; } 
    }



    public partial class Comment { }

    public partial class Tag { }
}